POST api/NTMedicalRecodeRequest/SendMRRNotification
Request Information
URI Parameters
None.
Body Parameters
MRRNotificationDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| MessageQueueId | integer |
None. |
|
| MedicalRecordRequestId | integer |
None. |
|
| KeyName | string |
String length: inclusive between 0 and 8000 |
|
| DocumentName | string |
String length: inclusive between 0 and 8000 |
|
| EmailTo | string |
String length: inclusive between 0 and 1000 |
|
| EmailToConfig | string |
String length: inclusive between 0 and 4000 |
|
| EmailCC | string |
String length: inclusive between 0 and 1000 |
|
| EmailCCConfig | string |
String length: inclusive between 0 and 4000 |
|
| EmailBCC | string |
String length: inclusive between 0 and 200 |
|
| EmailBCCConfig | string |
String length: inclusive between 0 and 4000 |
|
| EmailSubject | string |
String length: inclusive between 0 and 1000 |
|
| EmailBody | string |
String length: inclusive between 0 and 2000 |
|
| EmployeeEmail | string |
String length: inclusive between 0 and 1000 |
|
| SupervisorEmail | string |
String length: inclusive between 0 and 1000 |
|
| BodyFormat | string |
String length: inclusive between 0 and 50 |
|
| SentTime | date |
None. |
|
| Status | integer |
None. |
|
| CreatedUserName | string |
String length: inclusive between 0 and 61 |
|
| WLCode | string |
String length: inclusive between 0 and 20 |
|
| EnRouteId | integer |
None. |
|
| HasAttachment | boolean |
None. |
|
| FileId | string |
String length: inclusive between 0 and 50 |
|
| COSFormId | integer |
None. |
|
| EmployeeId | string |
String length: inclusive between 0 and 12 |
|
| TextNotificationTypeId | integer |
None. |
|
| OrderId | integer |
None. |
|
| OrderCategoryId | integer |
None. |
|
| ComponentId | integer |
None. |
|
| ClinicalPathwayId | integer |
None. |
|
| OpenDate | date |
None. |
|
| ClinicalPathwayTypeName | string |
String length: inclusive between 0 and 100 |
|
| TokenId | string |
String length: inclusive between 0 and 500 |
|
| MultipleAttachmentsTbl | Collection of MessageQueueAttachmentsDTO |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
{
"Id": 1,
"MessageQueueId": 2,
"MedicalRecordRequestId": 3,
"KeyName": "sample string 4",
"DocumentName": "sample string 5",
"EmailTo": "sample string 6",
"EmailToConfig": "sample string 7",
"EmailCC": "sample string 8",
"EmailCCConfig": "sample string 9",
"EmailBCC": "sample string 10",
"EmailBCCConfig": "sample string 11",
"EmailSubject": "sample string 12",
"EmailBody": "sample string 13",
"EmployeeEmail": "sample string 14",
"SupervisorEmail": "sample string 15",
"BodyFormat": "sample string 16",
"SentTime": "2026-08-04T14:26:03.40671-07:00",
"Status": 17,
"CreatedUserName": "sample string 18",
"WLCode": "sample string 19",
"EnRouteId": 1,
"HasAttachment": true,
"FileId": "sample string 21",
"COSFormId": 22,
"EmployeeId": "sample string 23",
"TextNotificationTypeId": 24,
"OrderId": 1,
"OrderCategoryId": 1,
"ComponentId": 25,
"ClinicalPathwayId": 1,
"OpenDate": "2026-08-04T14:26:03.4223263-07:00",
"ClinicalPathwayTypeName": "sample string 26",
"TokenId": "sample string 27",
"MultipleAttachmentsTbl": [
{
"AttachmentId": 1,
"MessageQueueId": 2,
"Title": "sample string 3",
"FolderPath": "sample string 4",
"ServiceUrl": "sample string 5",
"BucketName": "sample string 6",
"KeyName": "sample string 7",
"DocumentName": "sample string 8"
},
{
"AttachmentId": 1,
"MessageQueueId": 2,
"Title": "sample string 3",
"FolderPath": "sample string 4",
"ServiceUrl": "sample string 5",
"BucketName": "sample string 6",
"KeyName": "sample string 7",
"DocumentName": "sample string 8"
}
],
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:03.4223263-07:00",
"DateUpdated": "2026-08-04T14:26:03.4223263-07:00",
"UserIDCreated": 31,
"UserIDUpdated": 32,
"CompanyCode": "sample string 33",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample not available.
Response Information
Resource Description
AsapResponseOfMRRNotificationDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | MRRNotificationDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"MessageQueueId": 2,
"MedicalRecordRequestId": 3,
"KeyName": "sample string 4",
"DocumentName": "sample string 5",
"EmailTo": "sample string 6",
"EmailToConfig": "sample string 7",
"EmailCC": "sample string 8",
"EmailCCConfig": "sample string 9",
"EmailBCC": "sample string 10",
"EmailBCCConfig": "sample string 11",
"EmailSubject": "sample string 12",
"EmailBody": "sample string 13",
"EmployeeEmail": "sample string 14",
"SupervisorEmail": "sample string 15",
"BodyFormat": "sample string 16",
"SentTime": "2026-08-04T14:26:03.4223263-07:00",
"Status": 17,
"CreatedUserName": "sample string 18",
"WLCode": "sample string 19",
"EnRouteId": 1,
"HasAttachment": true,
"FileId": "sample string 21",
"COSFormId": 22,
"EmployeeId": "sample string 23",
"TextNotificationTypeId": 24,
"OrderId": 1,
"OrderCategoryId": 1,
"ComponentId": 25,
"ClinicalPathwayId": 1,
"OpenDate": "2026-08-04T14:26:03.4223263-07:00",
"ClinicalPathwayTypeName": "sample string 26",
"TokenId": "sample string 27",
"MultipleAttachmentsTbl": [
{
"AttachmentId": 1,
"MessageQueueId": 2,
"Title": "sample string 3",
"FolderPath": "sample string 4",
"ServiceUrl": "sample string 5",
"BucketName": "sample string 6",
"KeyName": "sample string 7",
"DocumentName": "sample string 8"
},
{
"AttachmentId": 1,
"MessageQueueId": 2,
"Title": "sample string 3",
"FolderPath": "sample string 4",
"ServiceUrl": "sample string 5",
"BucketName": "sample string 6",
"KeyName": "sample string 7",
"DocumentName": "sample string 8"
}
],
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:03.4223263-07:00",
"DateUpdated": "2026-08-04T14:26:03.4223263-07:00",
"UserIDCreated": 31,
"UserIDUpdated": 32,
"CompanyCode": "sample string 33",
"IsExcludeDiscount": true
},
"totalCount": 3
}